Page MenuHomePhabricator

elementary: implemente property_bind support on all widget using property reflection.
ClosedPublic

Authored by cedric on Feb 13 2019, 10:51 AM.

Details

Summary

This means that all property that are registered in the reflection table of
any Eo class will be available for binding with a model. This will increase
the amount of useful binding quickly.

Depends on D7940

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Feb 13 2019, 10:51 AM
cedric updated this revision to Diff 19457.Feb 15 2019, 3:04 PM
cedric edited the summary of this revision. (Show Details)

Rebase.

cedric updated this revision to Diff 19780.Feb 27 2019, 1:38 PM

Rebase.

cedric updated this revision to Diff 19864.Mar 1 2019, 10:30 AM

Rebase.

vitor.sousa requested changes to this revision.Mar 6 2019, 12:13 PM
vitor.sousa added a subscriber: vitor.sousa.
vitor.sousa added inline comments.
src/lib/elementary/efl_ui_widget.c
6086

Why _del in the new model?
Shouldn't it be: unregister from the old one (if not NULL); register in the new one (if not NULL); and them replace the old pointer?

This revision now requires changes to proceed.Mar 6 2019, 12:13 PM
cedric added inline comments.Mar 6 2019, 12:40 PM
src/lib/elementary/efl_ui_widget.c
6086

I wanted to avoid having to track if the event handler where set or not. So by _del and _add every time, I don't have to track the information and know that their will only be on handler registered at all time.

The reason I need to track if the handler is present, is because I only want to set it when there is a binding and a model set to avoid unnecessary callback being triggered.

vitor.sousa added inline comments.Mar 6 2019, 12:58 PM
src/lib/elementary/efl_ui_widget.c
6086

OK. But, doesn't it also need to _del the handler for the replaced model?

cedric added inline comments.Mar 6 2019, 2:32 PM
src/lib/elementary/efl_ui_widget.c
6086

Oh, you are right!

cedric updated this revision to Diff 20050.Mar 6 2019, 3:40 PM

Rebase and fix _del order on model set.

vitor.sousa accepted this revision.Mar 7 2019, 10:58 AM

awesome

This revision is now accepted and ready to land.Mar 7 2019, 10:58 AM
cedric updated this revision to Diff 20269.Mar 7 2019, 3:58 PM

Rebase.

vitor.sousa accepted this revision.Mar 8 2019, 6:56 AM
cedric updated this revision to Diff 20337.Mar 8 2019, 1:56 PM

Rebase.

This revision was automatically updated to reflect the committed changes.